IF NOT EXISTS
(
    SELECT *
    FROM INFORMATION_SCHEMA.COLUMNS
    WHERE TABLE_NAME = 'RC_CLI_FIDELI_CARTAO_CONV'
          AND COLUMN_NAME = 'NR_CARTAO'
          AND DATA_TYPE = 'VARCHAR'
)
    BEGIN
        ALTER TABLE RC_CLI_FIDELI_CARTAO_CONV ALTER COLUMN NR_CARTAO VARCHAR(20) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL;
    END;
	
	
